package blockchain

import (
	"math/big"

	"github.com/ethereum/go-ethereum/common"
)

const (
	TOPIC_PARTICIPATE    = "0x8ed860f76da405897619eab937f09dcb4d0d9b56cf68a3d489130a2489cf151f"
	TOPIC_CLAIM          = "0x4804104ccbc53649f5b8b29ecf858272a4a6ed6b9949f0d30237c7a147e84671"
	COLLECT_PARTICIPATE  = "Participate"
	COLLECT_CLAIMREWARDS = "Claim"
	//COLLECTCONTRACT             = "0xC6Ff5462e5409d11AF6B080ADC3dc0a17E94b0A6" //test
	COLLECTCONTRACT        = "0x4E633d9171bEf105012Cb84979Da976fC07c19b7"
	CONFIRMINTERVAL        = 600
	TimeLayout      string = "2006-01-02 15:04:05"
)

type EventParticipate struct {
	Participant common.Address
	Inviter     common.Address
	Amount      *big.Int
}
type EventClaim struct {
	User      common.Address
	Amount    *big.Int
	Signature [32]byte
}
