package util

import (
	"crypto/md5"
	"encoding/hex"
	"time"

	"github.com/astaxie/beego"
	"github.com/astaxie/beego/logs"

	"github.com/ethereum/go-ethereum/crypto"
)

var DIGIT string

func init() {
	DIGIT = beego.AppConfig.String("digit")
	logs.Info("init digit==", DIGIT[len(DIGIT)-4:])
}

func NowTimeString() string {
	return time.Now().Format("2006-01-02 15:04:05")
}

func NowTimeDayString() string {
	return time.Now().Format("2006-01-02")
}

func Md5(str string) string {
	hash := md5.New()
	hash.Write([]byte(str))
	return hex.EncodeToString(hash.Sum(nil))
}

func Sign(amountStr, addr, timeStr string) string {
	logs.Info("Sign==========", amountStr, addr, timeStr)
	keccakA := crypto.Keccak256([]byte(amountStr), []byte(DIGIT))
	keccakS := crypto.Keccak256(keccakA, []byte(timeStr), []byte(addr))
	return "0x" + hex.EncodeToString(keccakS)
}
